data {
        int<lower=0> J;
        array[J] real y;
        real mu_p;
        real sgm_p;
}
parameters {
        real mu_t;
        real<lower=0> sigma_t;
}
transformed parameters {
        real mu;
        real sigma;
        mu = sgm_p * mu_t + mu_p;
        sigma = sgm_p * sigma_t + 1.0e-7;
}
model {
        mu_t ~ normal(0.0, 10.0);
        sigma_t ~ exponential(0.1);
        y ~ normal(mu, sigma);
}
